package com.welnz.device.example.ui.models

import com.welnz.device.library.bluetooth.interfaces.WelDevice
import com.welnz.device.library.enums.ConnectionStatus
import com.welnz.device.library.enums.DeviceType

class MockDevice(
    private val name: String,
    private val description: String
) : WelDevice {
    override fun getName(): String {
        return name
    }

    override fun getDescription(): String {
        return description
    }

    override fun getAddress(): String {
        TODO("Not yet implemented")
    }

    override fun connect() {
        TODO("Not yet implemented")
    }

    override fun disconnect() {
        TODO("Not yet implemented")
    }

    override fun getConnectionStatus(): ConnectionStatus {
        return ConnectionStatus.DISCONNECTED
    }

    override fun getDeviceType(): DeviceType {
        return DeviceType.SFT
    }
}