package com.welnz.device.example.ui.models

import com.welnz.device.library.bluetooth.interfaces.SftDevice
import com.welnz.device.library.bluetooth.interfaces.SftDeviceDelegate
import com.welnz.device.library.enums.ConnectionStatus
import com.welnz.device.library.enums.DeviceType
import java.time.LocalDate

class MockSftDevice : SftDevice {
    override fun getName() = "TEST SFT"

    override fun getDescription() = "A test SFT device"

    override fun getAddress() = "00:00:00:00:00"

    override fun connect() {}

    override fun disconnect() { }

    override fun getConnectionStatus() = ConnectionStatus.DISCONNECTED

    override fun getDeviceType() = DeviceType.SFT

    override fun setDelegate(delegate: SftDeviceDelegate?) { }

    override fun readSerialNumber() { }

    override fun readBatteryPercentage() { }

    override fun readCalibrationDate() { }

    override fun readCheckDate() { }
    override fun writeCheckDate(value: LocalDate?) { }

    override fun readDeviceName() { }

    override fun readFirmwareVersion() { }

    override fun readStats() { }
    override fun readLastMeasurement() { }

    override fun takeMeasurement() { }
}